Summary: An improved FTP client.
Name: ncftp
Version: 3.0.2
Epoch: 2
Release: 2k
Prefix: %{_prefix}
Copyright: Distributable
Group: Applications/Internet
Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.gz
Patch0: ncftp-3.0beta21-y2k.patch
Patch1: ncftp-3.0.1-pref.patch
Patch2: ncftp-3.0.1-date.patch
BuildRoot: /var/tmp/%{name}-root

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

Install ncftp if you use FTP to transfer files and you'd like to try
some of ncftp's additional features.

%prep
%setup -q
%patch0 -p1 -b .y2k
%patch1 -p0
%patch2 -p1 -b .date

%build
%configure --enable-signals
make STRIPFLAG=""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}

%makeinstall BINDIR=$RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/ncftp.desktop << EOF
[Desktop Entry]
Name=NcFTP
Name[sv]=NcFTP
Name[de]=NcFTP
Comment=NcFTP - a text mode FTP client
Comment[sv]=NcFTP - en textbaserad FTP-klient
Comment[de]=NcFTP - ein Textmodus FTP-Client
Icon=ftp.xpm
Exec=ncftp
Type=Application
Terminal=1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *README WHATSNEW-3.0 LICENSE.txt doc
%config(missingok) /etc/X11/applnk/Internet/ncftp.desktop
%{_bindir}/ncftp
%{_bindir}/ncftpget
%{_bindir}/ncftpput
%{_bindir}/ncftpbatch
%{_bindir}/ncftpls
%{_bindir}/ncftpbookmarks
%{_mandir}/man1/ncftp.1*
%{_mandir}/man1/ncftpget.1*
%{_mandir}/man1/ncftpput.1*
%{_mandir}/man1/ncftpbatch.1*
%{_mandir}/man1/ncftpls.1*

%changelog
* Fri Oct 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.2

* Thu Aug 24 2000 Philipp Knirsch <pknirsch@redhat.com>
- Fixed bug in ncftp/cmds.c in LocalListCmd where the use of the popen/pclose
  was simply wrong and ocasionally resulted in a SIGSEGV (#16315)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to .desktop file, Bug #15325

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- small changes to spec file and redo prev patch

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- set "confirm-close no" per default

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Sun Apr 02 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.1

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.0 final

* Mon Mar  6 2000 Jeff Johnson <jbj@redhat.com>
- permit 8-bit input chars to be returned without exiting (#9981),

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Deal with rpm compressing man pages
- remove wmconfig stuff

* Thu Jan  6 2000 Jeff Johnson <jbj@redhat.com>
- add missing docs.
- y2k wartlet (#8225)

* Tue Nov  9 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0b21
- enable signal usage

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- 3.0b19

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- 3.0b18

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 3.0b17

* Wed Dec  2 1998 Bill Nottingham <notting@redhat.com>
- 3.0b16

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add docs

* Thu Nov  5 1998 Bill Nottingham <notting@redhat.com>
- update to 3.0beta15

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- compiled for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.4.3 for security reasons

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- updated to ncftp 2.4.2

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Donnie Barnes <djb@redhat.com>
- Rebuild as Sun version didn't work.
